/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gif").hide();
$("#gif2").hide();
$("#gifL").hide();
$("#numeroSemestre").hide();
$("#numeroCuatrimestre").hide();

function checkSubmit() {
    document.getElementById("btnGuardarRegistro").value = "Enviando...";
    document.getElementById("btnGuardarRegistro").disabled = true;
    return true;
}

$("#modalidad").change(function () {
    var mod = $(this).val();
    var tipoAlumno = $("#tipoAlumno").val();
    document.getElementById("contLicenciaturas").innerHTML = "";
    if (mod != "default") {
        cargarLicenciaturas(mod, tipoAlumno);
    }
    if (mod == "SEMESTRAL") {
        $("#numeroCuatrimestre").hide();
        $("#numeroSemestre").show();
    } else if (mod == "CUATRIMESTRAL") {
        $("#numeroSemestre").hide();
        $("#numeroCuatrimestre").show();
    }

});

$("#cveCar").change(function () {
    var id = $(this).val();
    //document.getElementById("contColegiatura").innerHTML = "";
    //cargarColegiaturas(id);
});

$("#btnGuardarProcedencia").click(function () {
    var nomPlantel = $("#procedencia").val();
    if (nomPlantel === "") {
        alert("INGRESE EL NOMBRE DE LA ESCUELA DE PROCEDENCIA");
    } else {
        document.getElementById("contProcedencias").innerHTML = "";
        guardarProcedencia(nomPlantel);
    }
});

function guardarProcedencia(nomPlantel) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/alta-procedencia',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {nomPlantel: nomPlantel},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif2").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gif2").hide();
            document.getElementById("contProcedencias").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // guardarProcedencia

function cargarLicenciaturas(mod, tipo) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/cargarLicenciaturas',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {mod: mod, tipo: tipo},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gifL").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifL").hide();
            document.getElementById("contLicenciaturas").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarLicenciaturas

function cargarColegiaturas(id) {
    document.getElementById("contColegiatura").innerHTML = "";
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/cargarColegiaturas',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {licenciatura: id},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contColegiatura").innerHTML = respuesta;
            $("#gif").hide();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarColegiaturas

$("#fecNac").change(function () {
    var fecha = $(this).val();

    // Si la fecha es correcta, calculamos la edad
    var values = fecha.split("-");
    var dia = values[2];
    var mes = values[1];
    var ano = values[0];

    // cogemos los valores actuales
    var fecha_hoy = new Date();
    var ahora_ano = fecha_hoy.getYear();
    var ahora_mes = fecha_hoy.getMonth() + 1;
    var ahora_dia = fecha_hoy.getDate();

    // realizamos el calculo
    var edad = (ahora_ano + 1900) - ano;
    if (ahora_mes < mes)
    {
        edad--;
    }
    if ((mes == ahora_mes) && (ahora_dia < dia))
    {
        edad--;
    }
    if (edad > 1900)
    {
        edad -= 1900;
    }

    // calculamos los meses
    var meses = 0;
    if (ahora_mes > mes)
        meses = ahora_mes - mes;
    if (ahora_mes < mes)
        meses = 12 - (mes - ahora_mes);
    if (ahora_mes == mes && dia > ahora_dia)
        meses = 11;

    // calculamos los dias
    var dias = 0;
    if (ahora_dia > dia)
        dias = ahora_dia - dia;
    if (ahora_dia < dia)
    {
        ultimoDiaMes = new Date(ahora_ano, ahora_mes, 0);
        dias = ultimoDiaMes.getDate() - (dia - ahora_dia);
    }

    //document.getElementById("result").innerHTML = "Tienes " + edad + " años, " + meses + " meses y " + dias + " días";
    $("#edad").val(edad);

});

function curp2date(curp) {
    var m = curp.match(/^\w{4}(\w{2})(\w{2})(\w{2})/);
    //miFecha = new Date(año,mes,dia) 
    var anyo = parseInt(m[1], 10) + 1900;
    if (anyo < 1950)
        anyo += 100;
    var mes = parseInt(m[2], 10) - 1;
    var dia = parseInt(m[3], 10);

    console.log(new Date(anyo, mes, dia));
    $("#fecNac").val(new Date(anyo, mes, dia));
    var fecha = $("#fecNac").val();

    // Si la fecha es correcta, calculamos la edad
    var values = fecha.split("-");
    var dia = values[2];
    var mes = values[1];
    var ano = values[0];

    // cogemos los valores actuales
    var fecha_hoy = new Date();
    var ahora_ano = fecha_hoy.getYear();
    var ahora_mes = fecha_hoy.getMonth() + 1;
    var ahora_dia = fecha_hoy.getDate();

    // realizamos el calculo
    var edad = (ahora_ano + 1900) - ano;
    if (ahora_mes < mes)
    {
        edad--;
    }
    if ((mes == ahora_mes) && (ahora_dia < dia))
    {
        edad--;
    }
    if (edad > 1900)
    {
        edad -= 1900;
    }

    // calculamos los meses
    var meses = 0;
    if (ahora_mes > mes)
        meses = ahora_mes - mes;
    if (ahora_mes < mes)
        meses = 12 - (mes - ahora_mes);
    if (ahora_mes == mes && dia > ahora_dia)
        meses = 11;

    // calculamos los dias
    var dias = 0;
    if (ahora_dia > dia)
        dias = ahora_dia - dia;
    if (ahora_dia < dia)
    {
        ultimoDiaMes = new Date(ahora_ano, ahora_mes, 0);
        dias = ultimoDiaMes.getDate() - (dia - ahora_dia);
    }

    //document.getElementById("result").innerHTML = "Tienes " + edad + " años, " + meses + " meses y " + dias + " días";
    $("#edad").val(edad);


    //return (new Date( anyo, mes, dia ));
}

Date.prototype.toString = function () {
    var anyo = this.getFullYear();
    var mes = this.getMonth() + 1;
    if (mes <= 9)
        mes = "0" + mes;
    var dia = this.getDate();
    if (dia <= 9)
        dia = "0" + dia;
    return anyo + "-" + mes + "-" + dia;
}